PHPExcel_Writer_Excel2007_Chart

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write charts to XML format

    writeChart(\PHPExcel_Chart $pChart) : string

### Parameters

#### $pChart

`\PHPExcel_Chart`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Get the data series type(s) for a chart plot series

    _getChartType(\PHPExcel_Chart_PlotArea $plotArea) : string | array

Static

### Parameters

#### $plotArea

`\PHPExcel_Chart_PlotArea`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string` `array`

## Write Alternate Content block

    _writeAlternateContent(\PHPExcel_Shared_XMLWriter $objWriter)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Bubble Chart Details

    _writeBubbles(\PHPExcel_Chart_DataSeriesValues $plotSeriesValues, \PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $plotSeriesValues

`\PHPExcel_Chart_DataSeriesValues`

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Category Axis

    _writeCatAx(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Chart_PlotArea $plotArea, \PHPExcel_Chart_Title $xAxisLabel, string $groupType, string $id1, string $id2, boolean $isMultiLevelSeries)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $plotArea

`\PHPExcel_Chart_PlotArea`

#### $xAxisLabel

`\PHPExcel_Chart_Title`

#### $groupType

`string`

Chart type

#### $id1

`string`

#### $id2

`string`

#### $isMultiLevelSeries

`boolean`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Data Labels

    _writeDataLbls(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Chart_Layout $chartLayout)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $chartLayout

`\PHPExcel_Chart_Layout`

Chart layout

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Layout

    _writeLayout(\PHPExcel_Chart_Layout $layout, \PHPExcel_Shared_XMLWriter $objWriter)

### Parameters

#### $layout

`\PHPExcel_Chart_Layout`

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Chart Legend

    _writeLegend(\PHPExcel_Chart_Legend $legend, \PHPExcel_Shared_XMLWriter $objWriter)

### Parameters

#### $legend

`\PHPExcel_Chart_Legend`

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Chart Plot Area

    _writePlotArea(\PHPExcel_Chart_PlotArea $plotArea, \PHPExcel_Chart_Title $xAxisLabel, \PHPExcel_Chart_Title $yAxisLabel, \PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $plotArea

`\PHPExcel_Chart_PlotArea`

#### $xAxisLabel

`\PHPExcel_Chart_Title`

#### $yAxisLabel

`\PHPExcel_Chart_Title`

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pSheet

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Plot Group (series of related plots)

    _writePlotGroup(\PHPExcel_Chart_DataSeries $plotGroup, string $groupType, \PHPExcel_Shared_XMLWriter $objWriter, boolean $catIsMultiLevelSeries, boolean $valIsMultiLevelSeries, string $plotGroupingType, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $plotGroup

`\PHPExcel_Chart_DataSeries`

#### $groupType

`string`

Type of plot for dataseries

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $catIsMultiLevelSeries

`boolean`

&$catIsMultiLevelSeries Is category a multi-series category

#### $valIsMultiLevelSeries

`boolean`

&$valIsMultiLevelSeries Is value set a multi-series set

#### $plotGroupingType

`string`

&$plotGroupingType Type of grouping for multi-series values

#### $pSheet

`\PHPExcel_Worksheet`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Plot Series Label

    _writePlotSeriesLabel(\PHPExcel_Chart_DataSeriesValues $plotSeriesLabel, \PHPExcel_Shared_XMLWriter $objWriter)

### Parameters

#### $plotSeriesLabel

`\PHPExcel_Chart_DataSeriesValues`

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Plot Series Values

    _writePlotSeriesValues(\PHPExcel_Chart_DataSeriesValues $plotSeriesValues, \PHPExcel_Shared_XMLWriter $objWriter, string $groupType, string $dataType, \PHPExcel_Worksheet $pSheet)

### Parameters

#### $plotSeriesValues

`\PHPExcel_Chart_DataSeriesValues`

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $groupType

`string`

Type of plot for dataseries

#### $dataType

`string`

Datatype of series values

#### $pSheet

`\PHPExcel_Worksheet`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Printer Settings

    _writePrintSettings(\PHPExcel_Shared_XMLWriter $objWriter)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Chart Title

    _writeTitle(\PHPExcel_Chart_Title $title, \PHPExcel_Shared_XMLWriter $objWriter)

### Parameters

#### $title

`\PHPExcel_Chart_Title`

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Value Axis

    _writeValAx(\PHPExcel_Shared_XMLWriter $objWriter, \PHPExcel_Chart_PlotArea $plotArea, \PHPExcel_Chart_Title $yAxisLabel, string $groupType, string $id1, string $id2, boolean $isMultiLevelSeries)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $plotArea

`\PHPExcel_Chart_PlotArea`

#### $yAxisLabel

`\PHPExcel_Chart_Title`

#### $groupType

`string`

Chart type

#### $id1

`string`

#### $id2

`string`

#### $isMultiLevelSeries

`boolean`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter